@echo off
REM *****************************************************************
REM This command file copies the contents of a Test Drive directory,
REM %1, to another directory, %2, as part of the Export process.
REM It also copies the Test Drive Notes database, %3, to the directory
REM specified as %2.
REM %4 is the Test Drive number
REM The Test Drive directory is then zipped up and the resulting zip
REM file placed in the root of the exported Test Drive directory
REM *****************************************************************
title Export Modified Test Drive

echo Parm1 = %1
echo Parm2 = %2
echo Parm3 = %3
echo Parm4 = %4

if "%4"=="1" goto TD1
if "%4"=="2" goto TD2
if "%4"=="3" goto TD3
if "%4"=="6" goto TD6
if "%4"=="7" goto TD7
if "%4"=="10" goto TD10
if "%4"=="13" goto TD13
if "%4"=="POC" goto POC
echo .
echo Error - the Test Drive number passed has not been recognised
echo Error - Export process has been stopped
echo .
goto PAUSE

:TD1
REM Application Integration Test Drive

rem Firstly export the MQSI rules and formats
set DB2INSTANCE=DB2
if EXIST %1\format.exp erase %1\format.exp
if EXIST %1\rules.exp erase %1\rules.exp
start /WAIT /D%MQI%\bin nnfie -e %1\format.exp -s new_format_demo
start /WAIT /D%MQI%\bin nnrie -e %1\rules.exp -s rules

echo .
rem Remove the ExportedTestDrive directory if it already exists
rmdir %2 /s /q

echo .
rem Remove the zip file if it exists
if EXIST %1\ExportedTestDrive.zip erase %1\ExportedTestDrive.zip

echo .
rem Remove the Test Drive database file if it exists
if EXIST %1\*.nsf erase %1\*.nsf

echo .
rem Copy the Test Drive directories
echo Copying the Test Drive directories
xcopy %1\*.* %2\*.*
rem if EXIST %1\base xcopy %1\base\*.* %2\base\*.* /s
rem if EXIST %1\config xcopy %1\config\*.* %2\config\*.* /s
rem if EXIST %1\coding xcopy %1\coding\*.* %2\coding\*.* /s
rem if EXIST %1\run xcopy %1\run\*.* %2\run\*.* /s
echo .

echo .
rem Remove the modifications text file if it exists
if EXIST %1\modifications.txt erase %1\modifications.txt

echo .
rem Copy the Test Drive database
echo Copying the Test Drive database
copy %3 %2
echo .

echo .
echo The Test Drive directory and the Test Drive database have been successfully exported
echo .

echo .
rem Zipping up the exported Test Drive directory
echo Zipping up the exported Test Drive directory
zip.exe -r -S -q %2\ExportedTestDrive %2
echo .

echo .
echo The Test Drive directory has been successfully zipped as ExportedTestDrive.zip
echo and can be found in the root of the exported Test Drive directory
echo %2
echo .
echo .
goto PAUSE

:TD2
REM Single Customer View Test Drive

rem Firstly export the MQSI rules and formats
set DB2INSTANCE=DB2
if EXIST %1\mqsi\scvformat.exp erase %1\mqsi\scvformat.exp
if EXIST %1\mqsi\scvrules.exp erase %1\mqsi\scvrules.exp
start /WAIT /D%MQI%\bin nnfie -e %1\mqsi\scvformat.exp -s new_format_demo
start /WAIT /D%MQI%\bin nnrie -e %1\mqsi\scvrules.exp -s rules

echo .
rem Remove the ExportedTestDrive directory if it already exists
rmdir %2 /s /q

echo .
rem Remove the zip file if it exists
if EXIST %1\ExportedTestDrive.zip erase %1\ExportedTestDrive.zip

echo .
rem Remove the Test Drive database file if it exists
if EXIST %1\*.nsf erase %1\*.nsf

echo .
rem Copy the Test Drive directories
echo Copying the Test Drive directories
xcopy %1\*.* %2\*.*
if EXIST %1\bin xcopy %1\bin\*.* %2\bin\*.* /s
if EXIST %1\db2 xcopy %1\db2\*.* %2\db2\*.* /s
if EXIST %1\mq xcopy %1\mq\*.* %2\mq\*.* /s
if EXIST %1\mqsi xcopy %1\mqsi\*.* %2\mqsi\*.* /s
if EXIST %1\source xcopy %1\source\*.* %2\source\*.* /s
if EXIST %1\startdemo xcopy %1\startdemo\*.* %2\startdemo\*.* /s
echo .

echo .
rem Remove the modifications text file if it exists
if EXIST %1\modifications.txt erase %1\modifications.txt

echo .
rem Copy the Test Drive database
echo Copying the Test Drive database
copy %3 %2
echo .

echo .
echo The Test Drive directory and the Test Drive database have been successfully exported
echo .

echo .
rem Zipping up the exported Test Drive directory
echo Zipping up the exported Test Drive directory
zip.exe -r -S -q %2\ExportedTestDrive %2
echo .

echo .
echo The Test Drive directory has been successfully zipped as ExportedTestDrive.zip
echo and can be found in the root of the exported Test Drive directory
echo .
echo .
goto PAUSE

:TD3
REM Create Claim Test Drive

set DB2INSTANCE=DB2
echo .
rem Remove the ExportedTestDrive directory if it already exists
rmdir %2 /s /q

echo .
rem Remove the zip file if it exists
if EXIST %1\ExportedTestDrive.zip erase %1\ExportedTestDrive.zip

echo .
rem Remove the Test Drive database file if it exists
if EXIST %1\*.nsf erase %1\*.nsf

echo .
rem Copy the Test Drive directories
echo Copying the Test Drive directories
xcopy %1\*.* %2\*.*
if EXIST %1\base xcopy %1\base\*.* %2\base\*.* /s
if EXIST %1\build xcopy %1\build\*.* %2\build\*.* /s
if EXIST %1\config xcopy %1\config\*.* %2\config\*.* /s
if EXIST %1\coding xcopy %1\coding\*.* %2\coding\*.* /s
if EXIST %1\run xcopy %1\run\*.* %2\run\*.* /s
echo .

echo .
rem Remove the modifications text file if it exists
if EXIST %1\modifications.txt erase %1\modifications.txt

echo .
rem Copy the Test Drive database
echo Copying the Test Drive database
copy %3 %2
echo .

echo .
echo The Test Drive directory and the Test Drive database have been successfully exported
echo .

echo .
rem Zipping up the exported Test Drive directory
echo Zipping up the exported Test Drive directory
zip.exe -r -S -q %2\ExportedTestDrive %2
echo .

echo .
echo The Test Drive directory has been successfully zipped as ExportedTestDrive.zip
echo and can be found in the root of the exported Test Drive directory
echo .
echo .
goto PAUSE

:TD6
REM NC to SAP Test Drive

REM Not yet developed
echo .
echo Sorry, the Export facility for this Test Drive has not yet been developed
echo .

goto PAUSE

:TD7
REM Java to SAP Test Drive

REM Not yet developed
echo .
echo Sorry, the Export facility for this Test Drive has not yet been developed
echo .

goto PAUSE

:TD10
REM Straight Through Processing Test Drive

echo .
rem Remove the ExportedTestDrive directory if it already exists
rmdir %2 /s /q

echo .
rem Remove the zip file if it exists
if EXIST %1\ExportedTestDrive.zip erase %1\ExportedTestDrive.zip

echo .
rem Remove the Test Drive database file if it exists
if EXIST %1\*.nsf erase %1\*.nsf

echo .
rem Copy the Test Drive directories
echo Copying the Test Drive directories
xcopy %1\*.* %2\*.*
if EXIST %1\base xcopy %1\base\*.* %2\base\*.* /s
if EXIST %1\config xcopy %1\config\*.* %2\config\*.* /s
if EXIST %1\coding xcopy %1\coding\*.* %2\coding\*.* /s
if EXIST %1\run xcopy %1\run\*.* %2\run\*.* /s
if EXIST %1\build xcopy %1\build\*.* %2\build\*.* /s
if EXIST %1\graphics xcopy %1\graphics\*.* %2\graphics\*.* /s
echo .

echo .
rem Remove the modifications text file if it exists
if EXIST %1\modifications.txt erase %1\modifications.txt

echo .
rem Copy the Test Drive database
echo Copying the Test Drive database
copy %3 %2
echo .

echo .
echo The Test Drive directory and the Test Drive database have been successfully exported
echo .

echo .
rem Zipping up the exported Test Drive directory
echo Zipping up the exported Test Drive directory
zip.exe -r -S -q %2\ExportedTestDrive %2
echo .

echo .
echo The Test Drive directory has been successfully zipped as ExportedTestDrive.zip
echo and can be found in the root of the exported Test Drive directory
echo %2
echo .
echo .
goto PAUSE

:TD13
REM Retail Test Drive

rem Firstly export the MQSI rules and formats
set DB2INSTANCE=DB2
if EXIST %1\retail_format.imp erase %1\retail_format.imp
if EXIST %1\retail_rules.imp erase %1\retail_rules.imp
start /WAIT /D%MQI%\bin nnfie -e %1\retail_format.imp -s new_format_demo
start /WAIT /D%MQI%\bin nnrie -e %1\retail_rules.imp -s rules

rem Then export the database tables in case of changes
db2 connect to STORE
for /L %%1 in (1, 1, 3) do db2 export to %1\Stock%%1.out of DEL messages stock.msg select * from db2.stock%%1
db2 disconnect STORE

echo .
rem Remove the ExportedTestDrive directory if it already exists
rmdir %2 /s /q

echo .
rem Remove the zip file if it exists
if EXIST %1\ExportedTestDrive.zip erase %1\ExportedTestDrive.zip

echo .
rem Remove the Test Drive database file if it exists
if EXIST %1\*.nsf erase %1\*.nsf

echo .
rem Copy the Test Drive directories
echo Copying the Test Drive directories
xcopy %1\*.* %2\*.*
if EXIST %1\base xcopy %1\base\*.* %2\base\*.* /s
if EXIST %1\config xcopy %1\config\*.* %2\config\*.* /s
if EXIST %1\coding xcopy %1\coding\*.* %2\coding\*.* /s
if EXIST %1\run xcopy %1\run\*.* %2\run\*.* /s
echo .

echo .
rem Remove the modifications text file if it exists
if EXIST %1\modifications.txt erase %1\modifications.txt

echo .
rem Copy the Test Drive database
echo Copying the Test Drive database
copy %3 %2
echo .

echo .
echo The Test Drive directory and the Test Drive database have been successfully exported
echo .

echo .
rem Zipping up the exported Test Drive directory
echo Zipping up the exported Test Drive directory
zip.exe -r -S -q %2\ExportedTestDrive %2
echo .

echo .
echo The Test Drive directory has been successfully zipped as ExportedTestDrive.zip
echo and can be found in the root of the exported Test Drive directory
echo %2
echo .
echo .
goto PAUSE

:POC
REM PoC Web Single Customer View

rem Firstly export the MQSI rules and formats
set DB2INSTANCE=DB2
if EXIST %1\mqsi\scvformat.exp erase %1\mqsi\scvformat.exp
if EXIST %1\mqsi\scvrules.exp erase %1\mqsi\scvrules.exp
start /WAIT /D%MQI%\bin nnfie -e %1\mqsi\scvformat.exp -s new_format_demo
start /WAIT /D%MQI%\bin nnrie -e %1\mqsi\scvrules.exp -s rules

echo .
rem Remove the ExportedTestDrive directory if it already exists
rmdir %2 /s /q

echo .
rem Remove the zip file if it exists
if EXIST %1\ExportedTestDrive.zip erase %1\ExportedTestDrive.zip

echo .
rem Remove the Test Drive database file if it exists
if EXIST %1\*.nsf erase %1\*.nsf

echo .
rem Copy the Test Drive directories
echo Copying the Test Drive directories
xcopy %1\*.* %2\*.*
if EXIST %1\bin xcopy %1\bin\*.* %2\bin\*.* /s
if EXIST %1\db2 xcopy %1\db2\*.* %2\db2\*.* /s
if EXIST %1\mq xcopy %1\mq\*.* %2\mq\*.* /s
if EXIST %1\mqsi xcopy %1\mqsi\*.* %2\mqsi\*.* /s
if EXIST %1\source xcopy %1\source\*.* %2\source\*.* /s
if EXIST %1\startdemo xcopy %1\startdemo\*.* %2\startdemo\*.* /s
echo .

echo .
rem Remove the modifications text file if it exists
if EXIST %1\modifications.txt erase %1\modifications.txt

echo .
rem Copy the Test Drive database
echo Copying the Test Drive database
copy %3 %2
echo .

echo .
echo The Test Drive directory and the Test Drive database have been successfully exported
echo .

echo .
rem Zipping up the exported Test Drive directory
echo Zipping up the exported Test Drive directory
zip.exe -r -S -q %2\ExportedTestDrive %2
echo .

echo .
echo The Test Drive directory has been successfully zipped as ExportedTestDrive.zip
echo and can be found in the root of the exported Test Drive directory
echo .
echo .
goto PAUSE

:PAUSE
pause
exit
